%global module_name erfa
%global pypi_name pyerfa
%bcond_without tests

Name:           python-pyerfa
Version:        2.0.0.3
Release:    1%{?dist}
Summary:        Python wrapper for the ERFA library
License:        BSD
URL:            https://github.com/liberfa/pyerfa
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist setuptools_scm}
BuildRequires:  %{py3_dist numpy}
%if %{with tests}
BuildRequires:  %{py3_dist jinja2}
BuildRequires:  %{py3_dist pytest_astropy}
%endif
BuildRequires:  erfa-devel
BuildRequires:  gcc


%description
PyERFA is the Python wrapper for the ERFA library (Essential Routines for
Fundamental Astronomy), a C library containing key algorithms for astronomy,
which is based on the SOFA library published by the International Astronomical
Union (IAU). All C routines are wrapped as Numpy universal functions, so that
they can be called with scalar or array inputs.


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
PyERFA is the Python wrapper for the ERFA library (Essential Routines for
Fundamental Astronomy), a C library containing key algorithms for astronomy,
which is based on the SOFA library published by the International Astronomical
Union (IAU). All C routines are wrapped as Numpy universal functions, so that
they can be called with scalar or array inputs.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
PYERFA_USE_SYSTEM_LIBERFA=1 %py3_build


%install
%py3_install


%check
%if %{with tests}
pushd %{buildroot}%{python3_sitearch}/%{module_name}
%{__python3} -m pytest
rm -rf .pytest_cache
rm tests/__pycache__/test_erfa*pytest*.pyc
popd
%else
%endif


%files -n  python3-%{pypi_name}
%license LICENSE.rst
%doc AUTHORS.rst CHANGES.rst README.rst
%{python3_sitearch}/%{module_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0.3-1
- initial build
